com.snowflake.client.core

## Class SFFixedViewResultSet

- java.lang.Object
- - com.snowflake.client.core.SFBaseResultSet
  - - com.snowflake.client.core.SFFixedViewResultSet

    public class SFFixedViewResultSet
    extends SFBaseResultSet

Fixed view result set. This class iterates through any fixed view implementation and return the objects as rows

Author:
  jhuang

### Field Summary

### Fields inherited from class com.snowflake.client.core.SFBaseResultSet

`binaryFormatter, dateFormatter, endOfResult, honorClientTZForTimestampNTZ, nextRow, numberOfBinds, parameters, resultSetMetaData, resultVersion, row, session, timeFormatter, timestampLTZFormatter, timestampNTZFormatter, timestampTZFormatter, timeZone, timeZoneUTC, wasNull`

### Constructor Summary

Constructors
Constructor and Description
`SFFixedViewResultSet(SnowflakeFixedView fixedView)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `next()` Advance to next row

### Methods inherited from class com.snowflake.client.core.SFBaseResultSet

`absolute, close, getBigDecimal, getBigDecimal, getBoolean, getBytes, getDate, getDate, getDouble, getFloat, getInt, getLong, getMetaData, getNumberOfBinds, getObject, getObjectInternal, getRow, getSFTime, getSFTimestamp, getShort, getString, getTime, getTimestamp, getTimestamp, isFirst, previous, relative, setSession, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFFixedViewResultSet

    public SFFixedViewResultSet(SnowflakeFixedView fixedView)
                         throws SnowflakeSQLException

Throws:
  `SnowflakeSQLException`

### Method Detail

#### next

    public boolean next()
                 throws SFException

Advance to next row

Overrides:
  `next` in class `SFBaseResultSet`
Returns:
  true if next row exists, false otherwise
Throws:
  `SFException` - if failed to get next row